ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Filter::Impl Class Reference

Private implementation details of Filter model object. More...

Collaboration diagram for ome::xml::model::Filter::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | filterWheel
| FilterWheel property.
ome::compat::shared_ptr< ome::xml::model::enums::FilterType > | type
| Type property.
std::string | id
| ID property.
ome::compat::shared_ptr< ome::xml::model::TransmittanceRange > | transmittanceRange
| TransmittanceRange property.
ome::compat::weak_ptr< ome::xml::model::Instrument > | instrument
| Instrument_BackReference back reference.
OMEModelObject::indexed_container< ome::xml::model::FilterSet, ome::compat::weak_ptr >::type | filterSetExcitationFilterLinks
| FilterSet_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::FilterSet, ome::compat::weak_ptr >::type | filterSetEmissionFilterLinks
| FilterSet_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type | lightPathExcitationFilterLinks
| LightPath_BackReference back reference (occurs more than once)
OMEModelObject::indexed_container< ome::xml::model::LightPath, ome::compat::weak_ptr >::type | lightPathEmissionFilterLinks
| LightPath_BackReference back reference (occurs more than once)

## Detailed Description

Private implementation details of Filter model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Filter.cpp